Bug 149198 - [repocopy] Repocopy request: lang/plt-scheme -> lang/racket
Summary: [repocopy] Repocopy request: lang/plt-scheme -> lang/racket
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-02 16:20 UTC by Jimmy Olgeni
Modified: 2010-08-08 13:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2010-08-02 16:20:01 UTC
Version 5.0 of the PLT Scheme language has been renamed to "Racket".

Please repocopy ports/lang/plt-scheme to ports/lang/racket for the upcoming port upgrade.
Comment 1 Edwin Groothuis freebsd_committer 2010-08-02 16:21:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->olgeni

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-08-02 16:21:47 UTC
Maintainer of lang/plt-scheme,

Please note that PR ports/149198 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149198

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-08-02 16:21:51 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jimmy Olgeni freebsd_committer 2010-08-02 16:26:44 UTC
Responsible Changed
From-To: olgeni->portmgr

Assign to portmgr for repocopy.
Comment 5 Jimmy Olgeni freebsd_committer 2010-08-04 14:36:56 UTC
State Changed
From-To: feedback->open

Fix incorrect state.
Comment 6 areilly 2010-08-04 14:40:35 UTC
Sorry all, I suspect my spam filter must have eaten the original: I'll =
have it taken out and given a stern talking-to.  I approve this =
enhancement wholeheartedly.  Indeed, if he's keen, I'm happy to pass my =
maintainers' hat on to Jimmy, as I don't have the time right now.

Cheers,

--=20
Andrew
Comment 7 Pav Lucistnik freebsd_committer 2010-08-07 12:52:13 UTC
State Changed
From-To: open->repocopy

Correct state
Comment 8 Joe Marcus Clarke freebsd_committer 2010-08-07 17:56:50 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 9 Joe Marcus Clarke freebsd_committer 2010-08-07 17:56:50 UTC
Responsible Changed
From-To: portmgr->olgeni

Repocopy complete.
Comment 10 dfilter service freebsd_committer 2010-08-08 10:28:54 UTC
olgeni      2010-08-08 09:28:46 UTC

  FreeBSD ports repository

  Modified files:
    lang/racket/files    patch-src-mzscheme-src_number.c 
    lang/racket          Makefile distinfo pkg-descr pkg-plist 
    lang/racket/scripts  configure 
  Log:
  Document repocopy of lang/plt-scheme (4.2.4) to lang/racket.
  
  PR:             ports/149198
  Submitted by:   olgeni
  Repocopy by:    marcus
  
  Revision  Changes    Path
  1.11      +0 -0      ports/lang/racket/Makefile
  1.6       +0 -0      ports/lang/racket/distinfo
  1.2       +0 -0      ports/lang/racket/files/patch-src-mzscheme-src_number.c
  1.2       +0 -0      ports/lang/racket/pkg-descr
  1.6       +0 -0      ports/lang/racket/pkg-plist
  1.3       +0 -0      ports/lang/racket/scripts/configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Jimmy Olgeni freebsd_committer 2010-08-08 10:30:35 UTC
State Changed
From-To: open->closed

Thanks!
Comment 12 dfilter service freebsd_committer 2010-08-08 12:51:43 UTC
olgeni      2010-08-08 11:51:35 UTC

  FreeBSD ports repository

  Modified files:
    lang/racket          Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    lang/racket/files    patch-src-mzscheme-src_number.c 
  Log:
  Upgrade repocopied plt-scheme to Razor 5.0 and take over maintainership.
  
  PR:             ports/149198
  Submitted by:   olgeni
  Approved by:    maintainer
  
  Revision  Changes        Path
  1.12      +15 -28        ports/lang/racket/Makefile
  1.7       +3 -3          ports/lang/racket/distinfo
  1.3       +0 -26         ports/lang/racket/files/patch-src-mzscheme-src_number.c (dead)
  1.3       +3 -15         ports/lang/racket/pkg-descr
  1.7       +15980 -14592  ports/lang/racket/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"